Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSPropertyListImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.CSSPropertyListImpl

All Implemented Interfaces:
  `CSSPropertyList`

public class CSSPropertyListImpl extends Object implements CSSPropertyList
w3c `CSSPropertyList` implementation.

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyListImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(CSSProperty property)`
Add `CSSProperty`.
`void`
`delete(int index)`
Delete `CSSProperty` at `index`.
`int`
`getLength()`
Return length of CSS property list.
`void`
`insert(CSSProperty property, int index)`
Insert `CSSProperty` at `index`.
`CSSProperty`
`item(int index)`
Return the CSS property `CSSProperty` at item `i`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CSSPropertyListImpl

public CSSPropertyListImpl()

## Method Details

### getLength

public int getLength()
Description copied from interface: `CSSPropertyList`
Return length of CSS property list.

Specified by:
  `getLength` in interface `CSSPropertyList`

### item

public CSSProperty item(int index)
Description copied from interface: `CSSPropertyList`
Return the CSS property `CSSProperty` at item `i`.

Specified by:
  `item` in interface `CSSPropertyList`

### add

public void add(CSSProperty property)
Add `CSSProperty`.

### insert

public void insert(CSSProperty property, int index)
Insert `CSSProperty` at `index`.

### delete

public void delete(int index)
Delete `CSSProperty` at `index`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`